# Class pyglet.image.UniformTextureSequence

    AbstractImageSequence --+
                            |
              TextureSequence --+
                                |
                               UniformTextureSequence

Known Subclasses:
  Texture3D, TextureGrid

Interface for a sequence of textures, each with the same dimensions.

## Methods

AbstractImage | __getitem__(self, slice) Retrieve a (list of) image. (Inherited from pyglet.image.AbstractImageSequence)
Iterator | __iter__(self) Iterate over the images in sequence. (Inherited from pyglet.image.AbstractImageSequence)
| __len__(self) (Inherited from pyglet.image.AbstractImageSequence)
| __setitem__(self, slice, image) Replace one or more images in the sequence. (Inherited from pyglet.image.AbstractImageSequence)
Animation | get_animation(self, period, loop=True) Create an animation over this image sequence for the given constant framerate. (Inherited from pyglet.image.AbstractImageSequence)
TextureSequence | get_texture_sequence(self) Get a TextureSequence. (Inherited from pyglet.image.TextureSequence)

## Properties

TextureSequence | texture_sequence Access this image sequence as a texture sequence. (Inherited from pyglet.image.AbstractImageSequence)

## Instance Variables

int | item_width Width of each texture in the sequence.
int | item_height Height of each texture in the sequence.

## Instance Variable Details

### item_width

Width of each texture in the sequence.

### item_height

Height of each texture in the sequence.